### Signal

# Gtk TextBuffer::insert-child-anchor

since: 4.0

#### Declaration

    void
    insert_child_anchor (
      GtkTextBuffer* self,
      const GtkTextIter* location,
      GtkTextChildAnchor* anchor,
      gpointer user_data
    )

#### Description [src]

Emitted to insert a `GtkTextChildAnchor` in a `GtkTextBuffer`.

Insertion actually occurs in the default handler.

Note that if your handler runs before the default handler it must not invalidate the `location` iter (or has to revalidate it). The default signal handler revalidates it to be placed after the inserted `anchor`.

See also: `gtk_text_buffer_insert_child_anchor()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`location`

  Type: `GtkTextIter`

  Position to insert `anchor` in `textbuffer`.

  The data is owned by the caller of the function.

`anchor`

  Type: `GtkTextChildAnchor`

  The `GtkTextChildAnchor` to be inserted.

  The data is owned by the caller of the function.